/// <reference types="node" />
import { type DependencyList } from 'react';
import { type UseAsyncResult, pending } from './use-async';
export declare const useAsyncVoidCallback: <TArgs extends unknown[], TValue, TReason = unknown>(fn: (options: {
    pending: typeof pending;
    signal: AbortSignal;
}, ...args: TArgs) => PromiseLike<TValue | typeof pending>, deps: DependencyList) => [(...args: TArgs) => PromiseLike<void>, UseAsyncResult<TValue, TReason>];
